Bug 109455 - patch about multimedia/xmms to fix library name on current.
Summary: patch about multimedia/xmms to fix library name on current.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-23 10:40 UTC by TsurutaniNaoki
Modified: 2007-03-20 15:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.16 KB, patch)
2007-02-23 10:40 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2007-02-23 10:40:05 UTC
	here is a patch to detect correct library name.
	now, a fix about libtool seems to be removed again,
	and this will solve the problem, I think.
	I send the same patch to bugzilla of xmms(Bugzilla Bug 2393).
Comment 1 Edwin Groothuis freebsd_committer 2007-02-23 10:40:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Rong-En Fan freebsd_committer 2007-03-02 17:52:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 3 Rong-En Fan freebsd_committer 2007-03-03 14:01:55 UTC
The simplest way is

http://people.freebsd.org/~rafan/xmms.diff

Regards,
Rong-En Fan
Comment 4 TsurutaniNaoki 2007-03-04 01:30:32 UTC
From: Rong-En Fan <rafan@FreeBSD.org>
Subject: Re: ports/109455: patch about multimedia/xmms to fix library name on current.
Date: Sat, 3 Mar 2007 22:01:55 +0800

> The simplest way is
> 
> http://people.freebsd.org/~rafan/xmms.diff

It may work well.  Please do as you think right.
But I think it is not the right way as a workaround on this.
And, this is not good for 2.2.9-RELEASE...

---
Tsurutani Naoki
turutani@scphys.kyoto-u.ac.jp
Comment 5 Rong-En Fan freebsd_committer 2007-03-09 14:30:53 UTC
On Sun, Mar 04, 2007 at 10:30:32AM +0900, Tsurutani Naoki wrote:
> > The simplest way is
> > 
> > http://people.freebsd.org/~rafan/xmms.diff
> 
> It may work well.  Please do as you think right.
> But I think it is not the right way as a workaround on this.
> And, this is not good for 2.2.9-RELEASE...


I agree that your patch should be used and I think you
submitted to upstream. So, in next release, xmms's configure
script will be updated. In the mean time, I would keep
it as simple as possible. 

Let's wait a few days for maintainer to reply.

BTW, we don't support 2.2.9-RELEASE :-)

Regards,
Rong-En Fan
Comment 6 dfilter service freebsd_committer 2007-03-20 15:03:17 UTC
rafan       2007-03-20 15:03:11 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xmms      Makefile 
  Log:
  - Fix build after objformat removal
  
  PR:             ports/109455
  Submitted by:   Tsurutani Naoki <turutani at scphys.kyoto-u.ac.jp>
  Approved by:    maintainer timeout (1 month)
  
  Revision  Changes    Path
  1.84      +3 -1      ports/multimedia/xmms/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rong-En Fan freebsd_committer 2007-03-20 15:04:49 UTC
State Changed
From-To: feedback->closed

Committed with my version. As noted in reply, the submitted patch should 
be submitted upstream and for now we just use similar fix found in other 
ports.